Subject: bug#22012: 25.1.50; gdb broken by (json-string-format "doesn't start with `\"'!")

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Nov 2015 18:32:38 +0200

> Date: Sat, 28 Nov 2015 16:48:29 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> Maybe related to the loaddefs.el case.  That one stroke again here a few
> days ago on my Debian machine.

Yes.  But I haven't seen it for the last few days.

>  > When did you last update from the emacs-25 branch?
> 
> This happend on my patched version of master/trunk.  So if anything we
> could conclude that we may have been injecting null bytes already before
> cutting the release branch.

I suspect the undo changes, and the fact that they caused running Lisp
and could trigger GC in the middle of fiddling with the buffer's gap.
They were committed to master before the branch was cut.  That's why I
asked about your update: that hole was plugged 2 days ago on the
emacs-25 branch.